Skip to content
Start here

List all Workflows

GET/accounts/{account_id}/workflows

Lists all workflows configured for the account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Tail ReadWorkers Scripts WriteWorkers Scripts Read
Path ParametersExpand Collapse
account_id: string
Query ParametersExpand Collapse
page: optional number
minimum1
per_page: optional number
maximum100
minimum1
ReturnsExpand Collapse
errors: array of object { code, message }
code: number
message: string
messages: array of object { code, message }
code: number
message: string
result: array of object { id, class_name, created_on, 5 more }
id: string
formatuuid
class_name: string
created_on: string
formatdate-time
instances: object { complete, errored, paused, 5 more }
complete: optional number
errored: optional number
paused: optional number
queued: optional number
running: optional number
terminated: optional number
waiting: optional number
waitingForPause: optional number
modified_on: string
formatdate-time
name: string
maxLength64
minLength1
script_name: string
triggered_on: string
formatdate-time
success: true
result_info: optional object { count, per_page, total_count, 2 more }
count: number
per_page: number
total_count: number
cursor: optional string
page: optional number

List all Workflows

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/workflows \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "class_name": "class_name",
      "created_on": "2019-12-27T18:11:19.117Z",
      "instances": {
        "complete": 0,
        "errored": 0,
        "paused": 0,
        "queued": 0,
        "running": 0,
        "terminated": 0,
        "waiting": 0,
        "waitingForPause": 0
      },
      "modified_on": "2019-12-27T18:11:19.117Z",
      "name": "x",
      "script_name": "script_name",
      "triggered_on": "2019-12-27T18:11:19.117Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "class_name": "class_name",
      "created_on": "2019-12-27T18:11:19.117Z",
      "instances": {
        "complete": 0,
        "errored": 0,
        "paused": 0,
        "queued": 0,
        "running": 0,
        "terminated": 0,
        "waiting": 0,
        "waitingForPause": 0
      },
      "modified_on": "2019-12-27T18:11:19.117Z",
      "name": "x",
      "script_name": "script_name",
      "triggered_on": "2019-12-27T18:11:19.117Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0
  }
}